Index: LMDZ6/branches/Portage_acc/libf/phylmd/infotrac_phy.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/infotrac_phy.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/infotrac_phy.F90	(revision 4446)
@@ -221,62 +444,7 @@
    END IF
 #endif
-
-   !--- Isotopic quantities (to be removed soon)
-   ntraciso       => ntiso
-   ntraceurs_zone => nzone
-   iqiso          => iqTraPha
-   index_trac     => itZonIso
-   ok_iso_verif   = isoCheck
-   niso_possibles = SIZE(tnom_iso)
-   indnum_fn_num  = [(strIdx(isotope%keys(:)%name, tnom_iso(ixt)), ixt=1, niso_possibles)]
-   use_iso        = indnum_fn_num /= 0
-#ifdef ISOVERIF
-   CALL msg('iso_iName = '//strStack(int2str(PACK(tracers(:)%iso_iName, MASK=tracers(:)%iso_iGroup==iH2O))), modname)
-#endif
+   CALL msg('end', modname)
 
 END SUBROUTINE init_infotrac_phy
 
-
-!==============================================================================================================================
-!=== THE ROUTINE isoSelect IS USED TO SWITCH FROM AN ISOTOPE FAMILY TO ANOTHER: ISOTOPES DEPENDENT PARAMETERS ARE UPDATED
-!     Single generic "isoSelect" routine, using the predefined index of the parent (fast version) or its name (first call).
-!==============================================================================================================================
-LOGICAL FUNCTION isoSelectByName(iName, lVerbose) RESULT(lerr)
-   IMPLICIT NONE
-   CHARACTER(LEN=*),  INTENT(IN)  :: iName
-   LOGICAL, OPTIONAL, INTENT(IN) :: lVerbose
-   INTEGER :: iIso
-   LOGICAL :: lV
-   lV = .FALSE.; IF(PRESENT(lVerbose)) lV = lVerbose
-   iIso = strIdx(isotopes(:)%parent, iName)
-   lerr = iIso == 0
-   CALL msg('no isotope family named "'//TRIM(iName)//'"', ll=lerr .AND. lV)
-   IF(lerr) RETURN
-   lerr = isoSelectByIndex(iIso, lV)
-END FUNCTION isoSelectByName
-!==============================================================================================================================
-LOGICAL FUNCTION isoSelectByIndex(iIso, lVerbose) RESULT(lerr)
-   IMPLICIT NONE
-   INTEGER,           INTENT(IN) :: iIso
-   LOGICAL, OPTIONAL, INTENT(IN) :: lVerbose
-   LOGICAL :: lv
-   lv = .FALSE.; IF(PRESENT(lVerbose)) lv = lVerbose
-   lerr = .FALSE.
-   IF(iIso == ixIso) RETURN                                      !--- Nothing to do if the index is already OK
-   lerr = iIso<=0 .OR. iIso>nbIso
-   CALL msg('Inconsistent isotopes family index '//TRIM(int2str(iIso))//': should be > 0 and <= '//TRIM(int2str(nbIso))//'"',&
-            ll=lerr .AND. lV)
-   IF(lerr) RETURN
-   ixIso = iIso                                                  !--- Update currently selected family index
-   isotope  => isotopes(ixIso)                                   !--- Select corresponding component
-   isoKeys  => isotope%keys;     niso     => isotope%niso
-   isoName  => isotope%trac;     ntiso    => isotope%ntiso
-   isoZone  => isotope%zone;     nzone    => isotope%nzone
-   isoPhas  => isotope%phase;    nphas    => isotope%nphas
-   itZonIso => isotope%itZonIso; isoCheck => isotope%check
-   iqTraPha => isotope%iqTraPha
-END FUNCTION isoSelectByIndex
-!==============================================================================================================================
-
-
 END MODULE infotrac_phy
Index: LMDZ6/branches/Portage_acc/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/iophy.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/iophy.F90	(revision 4446)
@@ -1048,5 +1048,7 @@
 
     !Et sinon on.... écrit
-    IF (SIZE(field)/=klon .AND. SIZE(field)/=klev .AND. SIZE(field)/=klev+1) CALL abort_physic('iophy::histwrite2d_phy','Field first DIMENSION not equal to klon/klev',1)    
+    IF (SIZE(field)/=klon .AND. SIZE(field)/=klev .AND. SIZE(field)/=klev+1) &
+         CALL abort_physic('iophy::histwrite2d_phy',&
+         'Field first DIMENSION not equal to klon/klev',1)
     IF (prt_level >= 10) THEn
       WRITE (lunout,*)"histwrite2d_phy: .not.vars_defined ; time to gather and write ", trim(var%name)
@@ -1246,12 +1248,16 @@
 
     !Et sinon on.... écrit
-    IF (SIZE(field,1)/=klon .AND. SIZE(field,1)/=klev .AND. SIZE(field,1)/=klev+1) CALL abort_physic('iophy::histwrite3d_phy','Field first DIMENSION not equal to klon/klev',1)
+    IF (SIZE(field,1)/=klon .AND. SIZE(field,1)/=klev &
+         .AND. SIZE(field,1)/=klev+1) &
+         CALL abort_physic('iophy::histwrite3d_phy', &
+         'Field first DIMENSION not equal to klon/klev',1)
 
     nlev=SIZE(field,2)
-    IF (nlev.EQ.klev+1) THEN
-        nlevx=klev
-    ELSE
-        nlevx=nlev
-    ENDIF
+    nlevx=nlev
+!    IF (nlev.EQ.klev+1) THEN
+!        nlevx=klev
+!    ELSE
+!        nlevx=nlev
+!    ENDIF
 
     IF (SIZE(field,1) == klon) then
Index: LMDZ6/branches/Portage_acc/libf/phylmd/iophys.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/iophys.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/iophys.F90	(revision 4446)
@@ -170,8 +170,11 @@
 mois0=day_ref/30+1
 an0=annee_ref
-t0=(day_ini-1)*RDAY
+!FH BIZARE QUAND 1D ...  t0=(day_ini-1)*RDAY
+t0=0.
 calendrier=calend
-
-if ( calendrier == "earth_360d" ) calendrier="360d"
+if ( calendrier == "earth_360d" ) calendrier="360_day"
+
+print*,'iophys_ini annee_ref day_ref',annee_ref,day_ref,day_ini,calend,t0
+
 
 call iotd_ini('phys.nc', &
Index: LMDZ6/branches/Portage_acc/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/iotd_ecrit.F90	(revision 4445)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/iotd_ecrit.F90	(revision 4446)
@@ -22,4 +22,5 @@
 !=================================================================
  
+      use netcdf, only: nf90_put_var
       implicit none
 
@@ -108,5 +109,5 @@
 
 
-           ierr= NF_PUT_VARA_REAL(nid,varid,ntime,1,date)
+           ierr= NF90_PUT_VAR(nid,varid,date,[ntime])
 
 !          print*,'date ',date,ierr,nid
@@ -172,5 +173,5 @@
 
 
-      ierr= NF_PUT_VARA_REAL(nid,varid,corner,edges,zx)
+      ierr= NF90_PUT_VAR(nid,varid,zx,corner,edges)
 
       if (ierr.ne.NF_NOERR) then
Index: LMDZ6/branches/Portage_acc/libf/phylmd/lscp_ini_mod.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/lscp_ini_mod.F90	(revision 4446)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/lscp_ini_mod.F90	(revision 4446)
@@ -0,0 +1,90 @@
+module lscp_ini_mod
+
+implicit none
+
+  ! PARAMETERS for lscp:
+  !--------------------
+  
+  REAL, SAVE :: seuil_neb=0.001                 ! cloud fraction threshold: a cloud really exists when exceeded
+  !$OMP THREADPRIVATE(seuil_neb)
+
+  INTEGER, SAVE :: ninter=5                     ! number of iterations to calculate autoconversion to precipitation
+  !$OMP THREADPRIVATE(ninter)
+
+  INTEGER,SAVE :: iflag_evap_prec=1             ! precipitation evaporation flag. 0: nothing, 1: "old way", 
+                                                ! 2: Max cloud fraction above to calculate the max of reevaporation
+                                                ! 4: LTP'method i.e. evaporation in the clear-sky fraction of the mesh only
+  !$OMP THREADPRIVATE(iflag_evap_prec)
+
+  REAL t_coup                                   ! temperature threshold which determines the phase 
+  PARAMETER (t_coup=234.0)                      ! for which the saturation vapor pressure is calculated
+
+  REAL DDT0                                     ! iteration parameter 
+  PARAMETER (DDT0=.01)
+
+  REAL ztfondue                                 ! parameter to calculate melting fraction of precipitation
+  PARAMETER (ztfondue=278.15)
+
+  REAL, SAVE    :: rain_int_min=0.001           ! Minimum local rain intensity [mm/s] before the decrease in associated precipitation fraction 
+  !$OMP THREADPRIVATE(rain_int_min)
+
+  REAL, SAVE :: a_tr_sca(4)                     ! Variables for tracers temporary: alpha parameter for scavenging, 4 possible scavenging processes
+  !$OMP THREADPRIVATE(a_tr_sca)
+  
+  INTEGER, SAVE ::  iflag_mpc_bl=0              ! flag to activate boundary layer mixed phase cloud param
+  !$OMP THREADPRIVATE(iflag_mpc_bl)
+  
+  LOGICAL, SAVE :: ok_radocond_snow=.false.       ! take into account the mass of ice precip in the cloud ice content seen by radiation
+  !$OMP THREADPRIVATE(ok_radocond_snow)
+
+  LOGICAL, SAVE :: ok_debug_autoconversion=.true.   ! removes a bug in the autoconversion process
+  !$OMP THREADPRIVATE(ok_debug_autoconversion)
+
+
+CONTAINS
+
+SUBROUTINE lscp_ini(dtime,ok_ice_sursat)
+
+
+   USE ioipsl_getin_p_mod, ONLY : getin_p
+   USE print_control_mod, ONLY: prt_level, lunout
+   USE ice_sursat_mod, ONLY: ice_sursat_init
+
+   REAL, INTENT(IN)      :: dtime
+   LOGICAL, INTENT(IN)   :: ok_ice_sursat  
+
+    CALL getin_p('ninter',ninter)
+    CALL getin_p('iflag_evap_prec',iflag_evap_prec)
+    CALL getin_p('seuil_neb',seuil_neb)
+    CALL getin_p('rain_int_min',rain_int_min) 
+    CALL getin_p('iflag_mpc_bl',iflag_mpc_bl)
+    CALL getin_p('ok_radocond_snow',ok_radocond_snow) 
+    CALL getin_p('ok_debug_autoconversion',ok_debug_autoconversion)    
+    WRITE(lunout,*) 'lscp, ninter:', ninter
+    WRITE(lunout,*) 'lscp, iflag_evap_prec:', iflag_evap_prec
+    WRITE(lunout,*) 'lscp, seuil_neb:', seuil_neb
+    WRITE(lunout,*) 'lscp, rain_int_min:', rain_int_min
+    WRITE(lunout,*) 'lscp, iflag_mpc_bl:', iflag_mpc_bl
+    WRITE(lunout,*) 'lscp, ok_radocond_snow:', ok_radocond_snow
+    WRITE(lunout,*) 'lscp, ok_debug_autoconversion:', ok_debug_autoconversion
+
+    ! check for precipitation sub-time steps
+    IF (ABS(dtime/REAL(ninter)-360.0).GT.0.001) THEN
+        WRITE(lunout,*) 'lscp: it is not expected, see Z.X.Li', dtime
+        WRITE(lunout,*) 'I would prefer a 6 min sub-timestep'
+    ENDIF
+
+
+    !AA Temporary initialisation
+    a_tr_sca(1) = -0.5
+    a_tr_sca(2) = -0.5
+    a_tr_sca(3) = -0.5
+    a_tr_sca(4) = -0.5
+    
+    IF (ok_ice_sursat) CALL ice_sursat_init()
+
+
+
+end subroutine lscp_ini
+
+end module lscp_ini_mod
